<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="Courseware_Form.aspx.cs"
    Inherits="RM.Web.Training.Courseware.Courseware_Form" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>
        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Form_kjxzbj")%></title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8" />
    <meta http-equiv="pragma" content="no-cache" />
    <meta http-equiv="Cache-Control" content="no-cache,must-revalidate" />
    <meta http-equiv="expires" content="Wed,26 Feb 1997 08:21:57 GMT" />
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/DatePicker/WdatePicker.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/jquery.form.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/Validator/JValidator.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script type="text/javascript" src="/Live/swfobject.js"></script>
    <script type="text/javascript">
    $(function () {
            $('#table2').hide();
            $('#table3').hide();
            $('#table4').hide();
            $('#table5').hide();
            $('#table6').hide();
            $('#moviebutton').hide();
            $('#fujianbutton').hide();
        })
        //点击切换面板
        var IsFixedTableLoad = 1;
        function panel(obj) {
            if (obj == 1) {
                $('#table1').show();
                $('#table2').hide();
                $('#table3').hide();
                $('#table4').hide();
                $('#table5').hide();
                $('#table6').hide();
                $('#fujianbutton').hide();
                $('#moviebutton').hide();
            } else if (obj == 2) {
                $('#table1').hide();
                $("#table2").show();
                $('#fujianbutton').hide();
                $("#moviebutton").show();
                $('#table3').hide();
                $('#table4').hide();
                $('#table5').hide();
                $('#table6').hide();
            } else if (obj == 3) {
                $('#table1').hide();
                $("#table2").hide();
                $('#table3').show();
                $('#fujianbutton').show();
                $('#table4').hide();
                $('#table5').hide();
                $('#table6').hide();
                $('#moviebutton').hide();
            } else if (obj == 4) {
                $('#table1').hide();
                $("#table2").hide();
                $('#table3').hide();
                $('#table4').show();
                $('#table5').hide();
                $('#fujianbutton').hide();
                $('#table6').hide();
                $('#moviebutton').hide();
            } else if (obj == 5) {
                $('#table1').hide();
                $("#table2").hide();
                $('#table3').hide();
                $('#table4').hide();
                $('#table5').show();
                $('#table6').hide();
                $('#fujianbutton').hide();
                $('#moviebutton').hide();
            }
            else if (obj == 6) {
                $('#table1').hide();
                $("#table2").hide();
                $('#table3').hide();
                $('#table4').hide();
                $('#table5').hide();
                $('#table6').show();
                $('#fujianbutton').hide();
                $('#moviebutton').hide();
            }
            if (IsFixedTableLoad == 1) {
                FixedTableHeader("#dnd-example", $(window).height() - 105);
                IsFixedTableLoad = 0;
            }
        }
        var $promptBg = $("#promptBg"); //正在加载模板
        var isLoad = false; //是否正在异步加载

        //设置文本框键盘按键事件（按键事件不对数据处理，因为keyDown获取的值永远是上一次keyUp的数据，这里在keyDown里面处理特殊操作）
        $("#Courseware_CsTeacher").keydown(function (e) {
            var event = e || event; //兼容性处理
            if (event.keyCode == 27) {
                $promptBg.stop().hide(0, function () {
                    $promptBg.html("");
                });
                return;
            } else if (event.keyCode == 37 || event.keyCode == 39) return; //左右键
            else if (event.keyCode == 13) {//回车键
                var $obj = $(".activePrompt");
                if ($obj.length < 1) return false;
                $("#Courseware_CsTeacherId").val($obj.attr("data"));
                $("#Courseware_CsTeacher").val($obj.text());
                $promptBg.stop().hide(0, function () {
                    $promptBg.html("");
                });
                return false;
            }
            if ($("#loadIcon").length < 1) {
                if (event.keyCode == 38) { //向上
                    if ($(".activePrompt").length < 1) {//最后一个
                        $(".promptLink").last().addClass("activePrompt");
                        return false;
                    }
                    $currObj = $(".activePrompt").parent();
                    if ($currObj.prev().length < 1) return false; //第一个
                    var $nextObj = $currObj.prev().children("a");
                    $(".activePrompt").removeClass("activePrompt");
                    $nextObj.addClass("activePrompt");
                    return false;
                }
                if (event.keyCode == 40) { //向下
                    if ($(".activePrompt").length < 1) {//第一个
                        $(".promptLink").eq(0).addClass("activePrompt");
                        return false;
                    }
                    $currObj = $(".activePrompt").parent();
                    if ($currObj.next().length < 1) return false; //最后一个
                    var $nextObj = $currObj.next().children("a");
                    $(".activePrompt").removeClass("activePrompt");
                    $nextObj.addClass("activePrompt");
                    return false;
                }
            }
        });
        function textChange() {
            if (isLoad) return;
            $("#promptBg").show(0);
            var inputvalue = $("#Courseware_CsTeacher").val();
            isLoad = true;
            $.get("SearchUserInfoTeacher.ashx", { key: inputvalue }, function (data) {
                isLoad = false;
                if (!data || parseInt(data) == -1) {
                    $promptBg.stop().hide(0);
                    return; //没有查询到数据或者异常
                }
                $("#promptBg").html(data);
                $(".promptLink").hover(function () {//绑定事件
                    $(this).addClass("activeLink");
                }, function () {
                    $(this).removeClass("activeLink");
                });
            });
        }
        function choiseExam(obj) {
            $("#Courseware_CsTeacherId").val($(obj).attr("data"));
            $("#Courseware_CsTeacher").val($(obj).text());
            $("#promptBg").hide(0);
            $("#promptBg").html("");
            //            $promptBg.stop().hide(0, function () {
            //                $promptBg.html("");
            //            });
        }
        function addav() {
            var path = $("#kejian").val();
            var name = "";
            if (path != "") {
                name = path.substring(path.lastIndexOf("/") + 1, path.lastIndexOf("."));
                var houzhui = path.substr(path.lastIndexOf(".") + 1);
                $("#fileinfo").append("<li><input type=\"text\" name=\"fileChapters\" value=\"<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_Form_zjm")%> \" /><input type=\"text\" name=\"filename\" value=\"" + decodeURI(name) + "\" /><input type=\"text\" name=\"filepath\" value=\"" + path + "\"  style=\"width: 300px\" /> <select name=\"fileTrySess\"><option value=\"允许\"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_shikan")%></option><option value=\"保密\"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_baom")%></option></select><input type='button' value='×' onclick='moviedelete(this)'/></li>");
            }
            else {
                document.getElementById("kejian").focus();
            }
        }
        //预览
        function browse() {
            var url = "/Training/Learn/LearnPC.aspx?Key=" + QueryString("CoursewareKey");
            top.openDialog(url, 'LearnPC', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_kjlbkjyl")%>', '100%', '100%', 0, 0);
        }


    //搜索已上传的视频
    function GetMovie(obj)
    {
        var key=$(obj).val();
        $.get('SearchMovie.ashx','key='+key,function(data)
        {
       
           if (data!="-1"&&data.length>10) {
           $("#movieselete").show();
              $("#movieselete").html(data);
    }else {
           $("#movieselete").hide();
    }
        });

    }
    
    //视频列表单击事件
    function onclickmovie(obj)
    {
            var file=$(obj).attr("data");
            var name=$(obj).html();
               
              $("#fileinfo").append("<li><input type=\"text\" name=\"fileChapters\" value=\"<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_Form_zjm")%> \" /><input type=\"text\" name=\"filename\" value=\"" + name + "\" /><input type=\"text\" name=\"filepath\" value=\"" + file + "\"  style=\"width: 300px\" /><select name=\"fileTrySess\"><option value=\"<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_buyunx")%>\"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_baom")%></option><option value=\"<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_yunx")%>\"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_shikan")%></option></select><input type='button' value='×' onclick='moviedelete(this)'/></li>");
        $("#movieselete").hide();
    }
    //删除视频
    function moviedelete(obj)
    {
        $(obj).parent("li").remove();
    }
    var addtype=0;
    //视频上传
    function shangchuan_mo(){
        addtype=1;
         var flashvars = {
                FileType:'*.html;*.htm;*.shtml;*.flv;*.mp4;*.Wmv;*.rm;*.rmvb',
                FileMaxCount:10,
                FilePath:'/Training/Courseware/Courseware_movieAdd.ashx',
                FileSize:1024*3000
            };
            FlexUpload(flashvars);
    }
    //附件上传
    function shangchuan_fj(){
    addtype=2;
         var flashvars = {
FileType:'*.bmp;*.jpg;*.jpge;*.gif;*.png;*.rar;*.zip;*.doc;*.docx;*.wps;*.avi;*.chm;*.mp3;*.mp4;*.xls;*.xlsx;*.txt;*.pdf;*.ppt;*.pptx',
                FileMaxCount:10,
                FilePath:'/Training/Courseware/UpLoadShares.ashx',
                FileSize:1024*300
            };
            FlexUpload(flashvars);
    }
    //Flex文件上传
    function FlexUpload(flashvars)
    {
        $("#tksup").show();
        $("#tksup").append("<div id='ad1'></div>");

        var swfVersionStr = "10.0.0";
        var xiSwfUrlStr = "/live/playerProductInstall.swf";
        var params = {};
        params.quality = "high";
        params.bgcolor = "#ffffff";
        params.allowscriptaccess = "sameDomain";
        params.allowfullscreen = "true";
        var attributes = {};
        attributes.id = "ad1";
        attributes.name = "ad1";
        attributes.align = "middle";
        swfobject.embedSWF("/Live/TKS-UP.swf", "ad1","600", "270", swfVersionStr, xiSwfUrlStr, flashvars, params, attributes);
    }
    //Flex上传回调函数
    //---name:为文件名---data:FilePath地址返回值
    function uploadCompelete(name,data){
        if(addtype==1){//视频
            if (data=="1") {
                   showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("File_size")%>",2000, 5);
              }else if(data=="3"){
                 showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Abnormal network connection")%>", 2000, 5);
               }else if(data =="4"){
                 showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("File_not")%>", 2000, 5);
               }else if(data =="5"){
                 showTipsMsg("你上传的视频中有病毒，已被系统删除", 2000, 5);
               }else {
                    path=data;
                    if (path != "") {
                        name = name.substring(name.lastIndexOf("\\") + 1, name.lastIndexOf("."));
                        $("#fileinfo").append("<li><input type=\"text\" name=\"fileChapters\" value=\"<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterPlan_Form_zjm")%> \" /><input type=\"text\" name=\"filename\" value=\"" + decodeURI(name) + "\" /><input type=\"text\" name=\"filepath\" value=\"" + path + "\"  style=\"width: 300px\" /><select name=\"fileTrySess\"><option value=\"<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_buyunx")%>\"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_baom")%></option><option value=\"<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_yunx")%>\"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_shikan")%></option></select><input type='button' value='×' onclick='moviedelete(this)'/></li>");
                    }
               }
        }
        else if(addtype==2){//附件
            if (data==-3) {
                    showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("File_not")%>,",2000, 5);
             }else if(data==-2){
                 showTipsMsg("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("File_size")%>", 2000, 5);
             }else if(data =="5"){
                 showTipsMsg("你上传的附件中有病毒，已被系统删除", 2000, 5);
               }else {
               path=data;
               if (path != "") {
                name = name.substring(name.lastIndexOf("\\") + 1, name.lastIndexOf("."));
                $("#SharesInfo").append("<li><input type=\"text\" name=\"Sharename\" value=\"" + decodeURI(name) + "\" /><input type=\"text\" name=\"Sharepath\" value=\"" + path + "\"  style=\"width: 300px\" /><input type='button' value='×' onclick='moviedelete(this)'/></li>");
                 }
             }
        }
        else{
            
        }
        
    }
    //全部文件上传结束后触发
    function uploadEnd(name){
        $("#tksup").hide();
        $("#ad1").remove();
    }

    </script>
    <style type="text/css">
        li
        {
            list-style: none;
        }
        .file-box
        {
            position: relative;
            width: 400px;
            margin-top: 0px;
        }
        .txt
        {
            border: 1px solid #cdcdcd;
            width: 100px;
        }
        .btn
        {
            background-color: #ccc;
            border: 1px solid #CDCDCD;
            height: 24px;
            width: 100px;
        }
        .file
        {
            position: absolute;
            top: 0;
            left: 0;
            height: 24px;
            filter: alpha(opacity:0);
            opacity: 0;
            width: 210px;
        }
        #promptBg ul, #promptBg li
        {
            padding: 0;
            margin: 0;
            list-style: none;
        }
        .log
        {
            position: absolute;
            top: 50%;
            left: 50%;
            margin: -100px 0 0 -150px;
            width: 300px;
            height: 200px;
            z-index: 99;
            display: none;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="frmtop">
        <table style="padding: 0px; margin: 0px;" cellpadding="0" cellspacing="0">
            <tr>
                <td id="menutab" style="vertical-align: bottom;">
                    <div id="tab0" class="Tabsel" onclick="GetTabClick(this);panel(1)">
                        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Jbxx")%>
                    </div>
                    <div id="tab1" class="Tabremovesel" onclick="GetTabClick(this);panel(2);">
                        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Form_sp")%>
                    </div>
                    <div id="tab2" class="Tabremovesel" onclick="GetTabClick(this);panel(3);">
                        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Form_fj")%>
                    </div>
                    <div id="tab3" class="Tabremovesel" onclick="GetTabClick(this);panel(4);">
                        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Form_jj")%>
                    </div>
                    <div id="tab4" class="Tabremovesel" onclick="GetTabClick(this);panel(5);" style="display:none;">
                        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Form_xjqx")%>
                    </div>
                    <div id="tab5" class="Tabremovesel" onclick="GetTabClick(this);panel(6);">
                        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Form_wxgl")%>
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div class="div-frm" style="height: 275px;">
        <table id="table1" border="0" cellpadding="0" cellspacing="0" class="frm">
            <tr>
                <td rowspan="6" style="border: 1px #ccc solid;">
                    <img src="Courseware_Image.ashx?id=<%=CoursewareKey %>" width="200" height="150"
                        alt="封面" /><br />
                    <asp:FileUpload ID="FileUpload1" runat="server" Style="width: 200px;" />
                </td>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Name")%>:
                </th>
                <td>
                    <input id="Courseware_CsName" maxlength="35" runat="server" type="text" class="txt"
                        datacol="yes" err="课件名" checkexpession="NotNull" style="width: 200px" />
                </td>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Model")%>:
                </th>
                <td>
                    <select id="Courseware_Pattern" runat="server" class="select" style="width: 200px;">
                    </select>
                </td>
            </tr>
            <tr>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Type")%>:
                </th>
                <td>
                    <select id="Courseware_CtId" class="select" runat="server" style="width: 200px">
                    </select>
                </td>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_State")%>:
                </th>
                <td>
                    <select id="Courseware_State" runat="server" class="select" style="width: 200px;">
                    </select>
                </td>
            </tr>
            <tr>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Xuefen")%>:
                </th>
                <td>
                    <input id="Courseware_Xuefen" maxlength="4" runat="server" type="text" class="txt"
                        datacol="yes" err="学分" checkexpession="NotNull" style="width: 50px" /><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Fraction")%>
                </td>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_SumDate")%>:
                </th>
                <td>
                    <input id="Courseware_SumDate" maxlength="4" runat="server" type="text" class="txt"
                        datacol="yes" err="要求学习" checkexpession="Num" style="width: 200px" /><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Minute")%>
                </td>
              
            </tr>
            <tr>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_CsTeacher")%>
                    :
                </th>
                <td colspan="3">
                    <div style="position: relative;">
                        <input id="Courseware_CsTeacher" runat="server" type="text" class="txt" style="width: 150px;
                            z-index: 0;" autocomplete="off" onkeyup="textChange()" />
                        <input type="hidden" value="" runat="server" id="Courseware_CsTeacherId" /><span
                            style="color: Red; padding-left: 5px;">
                            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_qclbzxzjs")%>
                        </span>)
                        <div id="promptBg" style="display: none; cursor: pointer; position: absolute; width: 228px;
                            background-color: White;">
                            <div id="loadIcon" style="text-align: center; line-height: 18px;">
                                <img src="../../Themes/Images/loading1.gif" alt="" />
                                <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("zzcx")%>...
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
        </table>
        <table id="table2" border="0" cellpadding="0" cellspacing="0" class="frm" style="margin-top: 35px;">
            <tr style="display: none;">
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_wbspdz")%>
                </th>
                <td colspan="3">
                    <input id="Courseware_OutSide" runat="server" type="text" class="txt" style="width: 500px" />
                </td>
            </tr>
            <tr>
                <th valign="top">
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Form_sp")%>：
                </th>
                <td colspan="3">
                    <div class="log" id="log">
                        <img src='/Themes/Images/loading.gif' />
                    </div>
                    <input id="kejian" type="text" value="" onkeyup="GetMovie(this)" style="width: 220px;" />
                    <input type="button" value=" <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_zjsp")%>"
                        onclick="addav()" /><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_zcmp4")%>
                    <div id="movieselete" style="display: none; cursor: pointer; position: absolute;
                        width: 428px; background-color: White;">
                        <div id="loadImg" style="text-align: center; line-height: 18px;">
                            <img src="../../Themes/Images/loading1.gif" alt="" />
                            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mylearn-zzcx")%>...
                        </div>
                    </div>
                    <ol style="margin: 0; height: 145px; overflow-y: scroll;" id="fileinfo">
                        <%=ziyuan %>
                    </ol>
                </td>
            </tr>
        </table>
        <table id="table3" border="0" cellpadding="0" cellspacing="0" class="frm" style="margin-top: 35px;">
            <tr>
                <th valign="top">
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Form_fj")%>：
                </th>
                <td colspan="3">
                    <ol style="margin: 0; height: 200px; overflow-y: scroll;" id="SharesInfo">
                        <%=fujian%>
                    </ol>
                </td>
            </tr>
        </table>
        <table id="table4" border="0" cellpadding="0" cellspacing="0" class="frm">
            <tr>
                <td colspan="5">
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_kjms")%>：<br />
                    <script src="/Themes/Scripts/kindeditor/kindeditor-min.js" type="text/javascript"></script>
                    <script type="text/javascript">
                        var editor;
                        KindEditor.ready(function (K) {
                            editor = K.create('#Courseware_CsDiscription', {
                                allowFileManager: true,
                                allowUpload: true,
                                uploadJson: '/WeiXin/UploadImage.ashx',
                                minHeight: 360
                            });
                        });
                    </script>
                    <textarea id="Courseware_CsDiscription" class="txtRemark" runat="server" style="width: 98%;
                        height: 50px;"></textarea>
                </td>
            </tr>
        </table>
        <table id="table5" border="0" cellpadding="0" cellspacing="0" class="frm" style="display:none;">
            <tr>
                <th>
                    <font color="red">*</font><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("user_group")%>:
                </th>
                <td>
                    <script src="/Themes/Scripts/GetuserControl.js" type="text/javascript"></script>
                </td>
            </tr>
            <tr>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_qxlx")%>:
                </th>
                <td>
                    <select id="dd_type" runat="server">
                    </select>
                </td>
            </tr>
        </table>
        <table id="table6" border="0" cellpadding="0" cellspacing="0" class="frm">
            <tr>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_wxxzlx")%>:
                </th>
                <td>
                    <select style="width: 200px" class="select" id="Courseware_recommended" runat="server">
                    </select>
                </td>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_price")%>:
                </th>
                <td>
                    <input id="Courseware_Price" maxlength="35" runat="server" type="text" class="txt"
                        datacol="yes" err="课件价格" checkexpession="Double" value="0" style="width: 100px" />
                    <select style="width: 60px" class="select" id="Courseware_Unit" runat="server">
                    </select>
                </td>
            </tr>
            <tr>
                <th>
                    <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_OldPrice")%>:
                </th>
                <td colspan="3">
                    <input id="Courseware_OldPrice" maxlength="35" runat="server" type="text" class="txt"
                        datacol="yes" err="课件原价" checkexpession="Null" value="0" style="width: 100px" />
                </td>
            </tr>
        </table>
    </div>
    <div class="frmbottom">
        <asp:LinkButton ID="Save" runat="server" class="l-btn" OnClientClick="editor.sync(); return CheckDataValid('#form1');"
            OnClick="Save_Click"><span class="l-btn-left">
            <img src="/Themes/Images/disk.png" alt="" /><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Save")%></span></asp:LinkButton>
        <%=anniu %>
        <a class="l-btn" href="javascript:void(0)" onclick="OpenClose();"><span class="l-btn-left">
            <img src="/Themes/Images/cancel.png" alt="" /><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Close")%></span></a>
    </div>
    </form>
    <form id="movie" method="post" enctype="multipart/form-data" action="Courseware_movieAdd.ashx"
    style="position: absolute; top: 25px">
    <p class="file-box" id="moviebutton" style="display: block; margin-top: 6px; border: 1px #ccc solid;
        background: #f4f4f4; height: 30px; line-height: 30px; width: 94%; padding: 1px 3px;
        overflow: hidden;" title=" <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_zyyhttp")%>">
        <input type="button" onclick="shangchuan_mo()" value="<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_bdspsc")%>" />
        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_zyyhttp")%>
    </p>
    </form>
    <form id="fujian" method="post" enctype="multipart/form-data" style="position: absolute;
    top: 25px" action="UpLoadShares.ashx">
    <p class="file-box" id="fujianbutton" style="display: block; margin-top: 6px; border: 1px #ccc solid;
        background: #f4f4f4; height: 30px; line-height: 30px; width: 94%; padding: 1px 3px;
        overflow: hidden;" title=" <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_zyyhttp")%>">
        <input type="button" value="<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("AnnexUpload")%>"
            onclick="shangchuan_fj()">
        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_zyyhttp")%>
    </p>
    </form>
    <div id="tksup" style="position: absolute; top: 25px; display: none; border: 1px #ccc solid;
        width: 610px; margin-left: 10px; background-color: White; padding-left: 10px;">
    </div>
</body>
<script>
   <%=getuserlist %>
</script>
</html>
